function randomColor() {
	function randomInt(min, max) {
		return Math.floor(Math.random() * (max - min + 1)) + min;
	};

	var h = randomInt(0, 360);
	var s = randomInt(42, 98);
	var l = randomInt(40, 90);

	return `hsl(${h},${s}%,${l}%)`;
}

var nos_oignons_relays = [
	{ name: "marcuse1",
		fingerprint: "A319D6447B2B4107477E126EE4A2B7C38125149E",
		color: randomColor(),
	}, { name: "marcuse2",
		fingerprint: "05A48DCB220236FCCA21B432C3D4A1FCE8AFCEEB",
		color: randomColor(),
	}, { name: "marcuse3",
		fingerprint: "E2DA7E67DFC30B19C50F2957C0AAFD226143D7C8",
		color: randomColor(),
	}, { name: "marcuse4",
		fingerprint: "CFAB19E23290F5BA1F7FF24494D26FBD4E4DF6CE",
		color: randomColor(),
	}, { name: "marcuse5",
		fingerprint: "D881FA3C5A642541932ACED4A3C5140742096D11",
		color: randomColor(),
	}, { name: "marcuse6",
		fingerprint: "5409FECC2C4B59D4573AAE935BE31C5675E81431",
		color: randomColor(),
	}, { name: "marcuse7",
		fingerprint: "EFF127FA3E850B17BF9A980AFB010A172F6C6FAF",
		color: randomColor(),
	}, { name: "marcuse8",
		fingerprint: "44D1929690CF1DEF95C5D1F4F66281CF18311618",
		color: randomColor(),
	}, { name: "marcuse9",
		fingerprint: "196C05BF08CC248EE563B49D36CAC89793AFBC5E",
		color: randomColor(),
	}, { name: "marcuse10",
		fingerprint: "16E09CB06617A7215885B6C7C8436B1F8D07960F",
		color: randomColor(),
	}, { name: "marcuse11",
		fingerprint: "11C7F8EEEE7445618DD7DE562F7D1218B5DB4B2E",
		color: randomColor(),
	}, { name: "marcuse12",
		fingerprint: "746FDA7D7F633FF88BF735416A42E472D630D868",
		color: randomColor(),
	}, { name: "marcuse13",
		fingerprint: "78AD6EAF6904E777103629D6579766DB6466AA3E",
		color: randomColor(),
	}, { name: "marcuse14",
		fingerprint: "B8348F1E967D9A432F2D03E572DEF76FB25F04D3",
		color: randomColor(),
	}, { name: "marcuse15",
		fingerprint: "65935A863C1652AFD7A8FDB7C5D1ACCF562E2BFD",
		color: randomColor(),
	}, { name: "marcuse16",
		fingerprint: "F2A0F204670965A947A1AE5E2867C752E714032F",
		color: randomColor(),
	}, { name: "ekumen",
		fingerprint: "9BA84E8C90083676F86C7427C8D105925F13716C",
		color: randomColor(),
	}, { name: "marylou1",
		fingerprint: "578E007E5E4535FBFEF7758D8587B07B4C8C5D06",
		color: randomColor(),
	}, { name: "marylou2",
		fingerprint: "90FD830C357A5109AB3C505287713F1AC811174C",
		color: randomColor(),
	}, { name: "marylou3",
		fingerprint: "91B7A9659CDB5ACF0DEB46DAA82C122C39CC4ADF",
		color: randomColor(),
	}, { name: "marylou4",
		fingerprint: "4F0C498701A41F4D9CA677EA763FD8CA45348E97",
		color: randomColor(),
	}, { name: "AlGrothendieck1",
		fingerprint: "47EC4211A4A66768224BC18912AF8FB6E880003C",
		color: randomColor(),
	}, { name: "AlGrothendieck2",
		fingerprint: "59F2831A9BEB7AB3D5803445F946EA9FEEEFA217",
		color: randomColor(),
	}, { name: "AlGrothendieck3",
		fingerprint: "042944E139508E6A8495AA1F6F320D1087D84930",
		color: randomColor(),
	}, { name: "AlGrothendieck4",
		fingerprint: "37C984BB069C29573FB8F9F6C610DC14763B5305",
		color: randomColor(),
	}, { name: "elenagb1",
		fingerprint: "4B8F0F8BB18F1D9ADC1FE7E54B3D3D605C1919A7",
		color: randomColor(),
	}, { name: "elenagb2",
		fingerprint: "CBCA0D732C95AF4F6A37DCCC4879105E426B80C9",
		color: randomColor(),
	}, { name: "elenagb3",
		fingerprint: "324053C8A296BF31A4A908CB407545DA92DF32F8",
		color: randomColor(),
	}, { name: "elenagb4",
		fingerprint: "4A39E7D2C121F664CFD9B5DF80CE9E70BB8B3C16",
		color: randomColor(),
	}, { name: "mwittig1",
		fingerprint: "5A6976353F19DAB6EB63A2CB95C00039B7D4064A",
		color: randomColor(),
	}, { name: "mwittig2",
		fingerprint: "DA380FB801539CCE1A94F9D2F4141F5916DAFB83",
		color: randomColor(),
	}, { name: "arecoque1",
		fingerprint: "CD1FD2C1F330A3293DA6068E6A23866D063D6DCB",
		color: randomColor(),
	}, { name: "arecoque2",
		fingerprint: "42E817BE07AB39CA3BD7A442AF08E007FF2E3F5B",
		color: randomColor(),
	}, { name: "arecoque3",
		fingerprint: "5450CC0E3D08BB001E8229B8990323D11BC63332",
		color: randomColor(),
	}, { name: "arecoque4",
		fingerprint: "8F13B91FA8380842993E7C36EEF88BEC5D695587",
		color: randomColor(),
	}, { name: "arecoque5",
		fingerprint: "0DC16FEAA5A5E27A974009CBF7748BB6FAAE6DE1",
		color: randomColor(),
	}, { name: "arecoque6",
		fingerprint: "C3AACDE1671FF475D872683359777B082C1C77E6",
		color: randomColor(),
	}, { name: "arecoque7",
		fingerprint: "EEEFC9F693B3BB72C1069EC8CDAF2E6C40FCC47D",
		color: randomColor(),
	}, { name: "arecoque8",
		fingerprint: "16D3252B519861248FDEABE05A6F3B97BC510557",
		color: randomColor(),
	}, { name: "lunar1",
		fingerprint: "5D9D80195162D7D77506EAF768F00F70A51CD191",
		color: randomColor(),
	}, { name: "lunar2",
		fingerprint: "D4DEA60E6333B521FD5EB8E591F65C36473A2AA8",
		color: randomColor(),
	}, { name: "lunar3",
		fingerprint: "FAA0FE94C4DF01D2CAA2204FFDBE82CD256745EB",
		color: randomColor(),
	}, { name: "lunar4",
		fingerprint: "A6C42B3C6551EA3B020F320D383D85D19C007A91",
		color: randomColor(),
	}, { name: "lunar5",
		fingerprint: "84F062F1BBF663D4BA71861AB6AEC74933FE1C2B",
		color: randomColor(),
	}, { name: "lunar6",
		fingerprint: "3D979072E7FD5596CB1ABC97BE2029F8B231EE5C",
		color: randomColor(),
	}, { name: "lunar7",
		fingerprint: "08417F5F40A190E5EB54CDC40C8C5C99969EE92C",
		color: randomColor(),
	}, { name: "lunar8",
		fingerprint: "9F652C63770018EC6E1990C1ED3908EECABB7BAF",
		color: randomColor(),
	}
];
